Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QConstString Class Reference

The QConstString class provides string objects using constant Unicode data. More...

`#include <qstring.h>`

List of all member functions.

## Public Members

- QConstString ( const QChar * unicode, uint length )
- ~QConstString ()
- const QString & string () const

## Detailed Description

The QConstString class provides string objects using constant Unicode data.

In order to minimize copying, highly optimized applications can use QConstString to provide a QString-compatible object from existing Unicode data. It is then the programmer's responsibility to ensure that the Unicode data exists for the entire lifetime of the QConstString object.

A QConstString is created with the QConstString constructor. The string held by the object can be obtained by calling string().

See also Text Related Classes.

## Member Function Documentation

### QConstString::QConstString ( const QChar * unicode, uint length )

Constructs a QConstString that uses the first length Unicode characters in the array unicode. Any attempt to modify copies of the string will cause it to create a copy of the data, thus it remains forever unmodified.

Note that unicode is not copied. The caller must be able to guarantee that unicode will not be deleted or modified. Since that is generally not the case with `const` strings (they are references), this constructor demands a non-const pointer even though it never modifies unicode.

### QConstString::~QConstString ()

Destroys the QConstString, creating a copy of the data if other strings are still using it.

### const QString & QConstString::string () const

Returns a constant string referencing the data passed during construction.

This file is part of the Qt toolkit. Copyright © 1995-2002 Trolltech. All Rights Reserved.